Skip to main content
PUT
/
v2
/
offer
/
$
{publisherOfferId}
curl -X PUT \
  'https://api.appcharge.com/v2/offer/checkout-link-1' \
  -H 'Content-Type: application/json' \
  -H 'x-publisher-token: <x-publisher-token>' \
  -d '{
    "name": "My Checkout Link Offer",
    "displayName": "My Checkout Link Offer",
    "type": "CheckoutLink",
    "active": true,
    "productsSequence": [
      {
        "index": 1,
        "playerAvailability": 12,
        "products": [
          {
            "priority": "Sub",
            "publisherProductId": "6cb43621ccf1",
            "quantity": "100",
          }
        ],
        "priceInUsdCents": 1000
      }
    ],
    "productSale": {
      "type": "percentage",
      "sale": 100
    },
    "priceDiscount": {
      "type": "percentage",
      "discount": 20
    },
    "description": "This is my checkout link offer description.",
    "offerUiId": "9ac77ff889b",
    "offerExternalUiId": "9ac22377ff889cc",
    "segments": [
      "New User"
    ],
    "badges": [
      {
        "publisherBadgeId": "22ac77ff889b"
      }
    ]
  }'
{
  "offerId": "867f5b309118",
  "publisherId": "35nb7861ec9924a6b69a0fe59",
  "publisherOfferId": "checkout-link-1",
  "name": "My New Checkout Link Offer Name",
  "displayName": "My Checkout Link Offer",
  "type": "CheckoutLink",
  "active": true,
  "segments": [
      "New User"
  ],
  "productsSequence": [
      {
          "index": 1,
          "playerAvailability": 12,
          "products": [
              {
                  "priority": "Sub",
                  "publisherProductId": "6cb43621ccf1",
                  "quantity": "100",
              }
          ],
          "priceInUsdCents": 1000,
          "playerClickedTtl": 300
      }
  ],
  "badges": [
      {
      "publisherBadgeId": "22ac77ff889b"
      }
  ],
  "productSale": {
      "type": "percentage",
      "sale": 100
  },
  "priceDiscount": {
      "type": "percentage",
      "discount": 20
  },
  "description": "This is my checkout link offer description.",
  "deeplinkUrl": "https://best-game.appcharge.com/login/campaign/YL2bAHqnuSMBhXIwMJbEM",
  "createdAt": "2025-04-06T10:00:44.528Z",
  "updatedAt": "2025-06-06T10:00:44.528Z"
}
curl -X PUT \
  'https://api.appcharge.com/v2/offer/checkout-link-1' \
  -H 'Content-Type: application/json' \
  -H 'x-publisher-token: <x-publisher-token>' \
  -d '{
    "name": "My Checkout Link Offer",
    "displayName": "My Checkout Link Offer",
    "type": "CheckoutLink",
    "active": true,
    "productsSequence": [
      {
        "index": 1,
        "playerAvailability": 12,
        "products": [
          {
            "priority": "Sub",
            "publisherProductId": "6cb43621ccf1",
            "quantity": "100",
          }
        ],
        "priceInUsdCents": 1000
      }
    ],
    "productSale": {
      "type": "percentage",
      "sale": 100
    },
    "priceDiscount": {
      "type": "percentage",
      "discount": 20
    },
    "description": "This is my checkout link offer description.",
    "offerUiId": "9ac77ff889b",
    "offerExternalUiId": "9ac22377ff889cc",
    "segments": [
      "New User"
    ],
    "badges": [
      {
        "publisherBadgeId": "22ac77ff889b"
      }
    ]
  }'
{
  "offerId": "867f5b309118",
  "publisherId": "35nb7861ec9924a6b69a0fe59",
  "publisherOfferId": "checkout-link-1",
  "name": "My New Checkout Link Offer Name",
  "displayName": "My Checkout Link Offer",
  "type": "CheckoutLink",
  "active": true,
  "segments": [
      "New User"
  ],
  "productsSequence": [
      {
          "index": 1,
          "playerAvailability": 12,
          "products": [
              {
                  "priority": "Sub",
                  "publisherProductId": "6cb43621ccf1",
                  "quantity": "100",
              }
          ],
          "priceInUsdCents": 1000,
          "playerClickedTtl": 300
      }
  ],
  "badges": [
      {
      "publisherBadgeId": "22ac77ff889b"
      }
  ],
  "productSale": {
      "type": "percentage",
      "sale": 100
  },
  "priceDiscount": {
      "type": "percentage",
      "discount": 20
  },
  "description": "This is my checkout link offer description.",
  "deeplinkUrl": "https://best-game.appcharge.com/login/campaign/YL2bAHqnuSMBhXIwMJbEM",
  "createdAt": "2025-04-06T10:00:44.528Z",
  "updatedAt": "2025-06-06T10:00:44.528Z"
}

Headers

x-publisher-token
string
required

The publisher token, as displayed in the Publisher Dashboard.

Path Parameters

publisherOfferId
string
required

The checkout link offer ID provided by the publisher. This is the offer's External ID value in the Publisher Dashboard.

Body

application/json
type
enum<string>
required

The type of offer - In this case 'CheckoutLink'.

Available options:
CheckoutLink
name
string

The checkout link name. It must be at least 3 characters long.

active
boolean

Whether the checkout link offer is active.

segments
string[]

List of player segments that this checkout link offer applies to (e.g., ["NewUser", "BigSpender"]).

productsSequence
object[]

The sequence of the products included in the offer. Limited to one productsSequence object.

schedule
object

The schedule for when the checkout link offer is available.

displayName
string

If not specified, the checkout link offer name will be used.

description
string

The checkout link offer description.

publisherSectionId
string

The publisher section ID.

publisherTabId
string

Tab ID in the web store.

badges
object[]

List of badges associated with the checkout link offer.

productSale
object

Sale details for products in the checkout link offer.

priceDiscount
object

Discount applied to the checkout link offer price.

Response

Checkout Link Offer updated successfully.

publisherId
string

Publisher ID.

offerId
string

The unique identifier of the checkout link offer.

The deeplink offer URL.

publisherOfferId
string

The checkout link offer ID provided by the publisher. This is the offer's External ID value in the Publisher Dashboard.

name
string

The checkout link offer name.

type
string

The type of offer - In this case 'CheckoutLink'.

active
boolean

Whether the checkout link offer is active.

segments
string[]

List of player segments that this checkout link offer applies to (e.g., ["NewUser", "BigSpender"]).

productsSequence
object[]

The sequence of the products included in the offer.

schedule
object

The schedule for when the checkout link offer is available.

createdAt
string<date-time>

Date the checkout link offer was created.

updatedAt
string<date-time>

Date the checkout link offer was updated.